Subject: bug#56291: 29.0.50; version-control versus gnus-backup-startup-file

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 29 Jun 2022 12:22:12 +0200

Mike Kupfer <[email-masked]> writes:

> Awhile back, I wanted to get numbered backup files for my Gnus
> .newsrc.eld file, at least for a few days until I figured out why it was
> getting trashed occasionally.  It took me quite some time to get it to
> work, because I didn't know about gnus-backup-startup-file, and I
> misunderstood part of the Info page "Backup Names".  That page says
>
>     You can have Emacs set ‘version-control’ locally whenever you visit
>     a given file (*note File Variables::).  Some modes, such as Rmail
>     mode, set this variable.
>
> I think that last sentence would be clearer as
>
>     Some packages, such as Rmail, override the global setting of
>     ‘version-control’ in this manner.

I don't think that's correct, though?  rmail-mode doesn't use file
variables, it does:

  (setq-local version-control 'never)

So it doesn't set version-control "in this manner", as far as I can tell?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no